> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solo.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Furnish KYC certificate data via structured JSON



## OpenAPI

````yaml POST /v1/products/kyc_certificate_snapshot/furnish
openapi: 3.1.0
info:
  title: SOLO Network API
  version: v1
servers:
  - url: https://api.solo.one
    description: Production
  - url: https://api.sandbox.solo.one
    description: Sandbox
security: []
paths:
  /v1/products/kyc_certificate_snapshot/furnish:
    post:
      tags:
        - KYC Certificate Snapshot
      summary: Furnish KYC certificate data via structured JSON
      operationId: >-
        kyc_certificate_snapshot_furnish_v1_products_kyc_certificate_snapshot_furnish_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KYCCertificateSnapshotFurnishInput'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KYCCertificateSnapshotFurnishOutput'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    KYCCertificateSnapshotFurnishInput:
      properties:
        network_id:
          type: string
          format: uuid
          title: Network Id
          description: Network scope for the furnishing.
        application_date:
          type: string
          title: Application Date
          description: Application date for policy resolution.
        records:
          items:
            $ref: '#/components/schemas/KYCCertificateSnapshotFurnishRecord'
          type: array
          title: Records
          description: One or more consumer records to furnish.
      type: object
      required:
        - network_id
        - application_date
        - records
      title: KYCCertificateSnapshotFurnishInput
    KYCCertificateSnapshotFurnishOutput:
      properties:
        success:
          type: boolean
          title: Success
          default: true
        submission_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Submission Id
        profile_ids:
          anyOf:
            - items:
                type: string
                format: uuid
              type: array
            - type: 'null'
          title: Profile Ids
        counts:
          anyOf:
            - additionalProperties:
                type: integer
              type: object
            - type: 'null'
          title: Counts
      type: object
      title: KYCCertificateSnapshotFurnishOutput
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    KYCCertificateSnapshotFurnishRecord:
      properties:
        first_name:
          type: string
          title: First Name
        last_name:
          type: string
          title: Last Name
        date_of_birth:
          type: string
          title: Date Of Birth
        social_security_number:
          type: string
          title: Social Security Number
        document_capture_events:
          anyOf:
            - items:
                $ref: '#/components/schemas/DocumentCaptureEventInput'
              type: array
            - type: 'null'
          title: Document Capture Events
        biometric_capture_events:
          anyOf:
            - items:
                $ref: '#/components/schemas/BiometricCaptureEventInput'
              type: array
            - type: 'null'
          title: Biometric Capture Events
        liveness_check_events:
          anyOf:
            - items:
                $ref: '#/components/schemas/LivenessCheckEventInput'
              type: array
            - type: 'null'
          title: Liveness Check Events
        identity_document_identities:
          anyOf:
            - items:
                $ref: '#/components/schemas/IdentityDocumentIdentityInput'
              type: array
            - type: 'null'
          title: Identity Document Identities
        identity_corroboration_events:
          anyOf:
            - items:
                $ref: '#/components/schemas/IdentityCorroborationEventInput'
              type: array
            - type: 'null'
          title: Identity Corroboration Events
        address_identities:
          anyOf:
            - items:
                $ref: '#/components/schemas/AddressIdentityInput'
              type: array
            - type: 'null'
          title: Address Identities
      type: object
      required:
        - first_name
        - last_name
        - date_of_birth
        - social_security_number
      title: KYCCertificateSnapshotFurnishRecord
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DocumentCaptureEventInput:
      properties:
        is_document_captured:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Document Captured
        document_capture_timestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Document Capture Timestamp
        is_document_attribute_reviewed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Document Attribute Reviewed
        document_attribute_review_timestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Document Attribute Review Timestamp
        document_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Document Type
        document_capture_method:
          anyOf:
            - type: string
            - type: 'null'
          title: Document Capture Method
        document_review_method:
          anyOf:
            - type: string
            - type: 'null'
          title: Document Review Method
        document_review_evidence_source:
          anyOf:
            - type: string
            - type: 'null'
          title: Document Review Evidence Source
      additionalProperties: true
      type: object
      title: DocumentCaptureEventInput
    BiometricCaptureEventInput:
      properties:
        is_biometric_captured:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Biometric Captured
        biometric_capture_timestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Biometric Capture Timestamp
        biometric_artifact_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Biometric Artifact Type
        biometric_artifact_upload:
          anyOf:
            - type: string
            - type: 'null'
          title: Biometric Artifact Upload
        biometric_capture_method:
          anyOf:
            - type: string
            - type: 'null'
          title: Biometric Capture Method
        is_biometric_attribute_reviewed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Biometric Attribute Reviewed
        biometric_attribute_review_timestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Biometric Attribute Review Timestamp
        is_biometric_comparison_performed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Biometric Comparison Performed
        biometric_comparison_reference:
          anyOf:
            - type: string
            - type: 'null'
          title: Biometric Comparison Reference
        biometric_comparison_outcome:
          anyOf:
            - type: string
            - type: 'null'
          title: Biometric Comparison Outcome
      additionalProperties: true
      type: object
      title: BiometricCaptureEventInput
    LivenessCheckEventInput:
      properties:
        is_liveness_captured:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Liveness Captured
        capture_timestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Capture Timestamp
        capture_method_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Capture Method Type
        liveness_capture_environment:
          anyOf:
            - type: string
            - type: 'null'
          title: Liveness Capture Environment
        check_result:
          anyOf:
            - type: string
            - type: 'null'
          title: Check Result
        is_liveness_evidence_reviewed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Liveness Evidence Reviewed
        evidence_review_timestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Evidence Review Timestamp
      additionalProperties: true
      type: object
      title: LivenessCheckEventInput
    IdentityDocumentIdentityInput:
      properties:
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        number:
          anyOf:
            - type: string
            - type: 'null'
          title: Number
        issue_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Issue Date
        expiration_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Expiration Date
        issuing_authority:
          anyOf:
            - type: string
            - type: 'null'
          title: Issuing Authority
        issuing_state:
          anyOf:
            - type: string
            - type: 'null'
          title: Issuing State
        issuing_country:
          anyOf:
            - type: string
            - type: 'null'
          title: Issuing Country
        upload:
          anyOf:
            - type: string
            - type: 'null'
          title: Upload
        are_security_features_verified:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Are Security Features Verified
        is_document_tamper_review_performed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Document Tamper Review Performed
        document_tamper_review_outcome:
          anyOf:
            - type: string
            - type: 'null'
          title: Document Tamper Review Outcome
        is_machine_readable_data_validation_performed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Machine Readable Data Validation Performed
        is_machine_readable_data_consistent_with_document_face:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Machine Readable Data Consistent With Document Face
      additionalProperties: true
      type: object
      title: IdentityDocumentIdentityInput
    IdentityCorroborationEventInput:
      properties:
        identity_corroboration_timestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Identity Corroboration Timestamp
        identity_corroboration_methods:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Identity Corroboration Methods
        identity_corroboration_outcome:
          anyOf:
            - type: string
            - type: 'null'
          title: Identity Corroboration Outcome
        total_identity_corroboration_sources_consulted:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Identity Corroboration Sources Consulted
        is_kyc_cip:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Kyc Cip
        kyc_decision:
          anyOf:
            - type: string
            - type: 'null'
          title: Kyc Decision
        is_ssn_match:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Ssn Match
        is_dob_match:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Dob Match
        is_name_match:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Name Match
        ssn_verified:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Ssn Verified
        name_verified:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Name Verified
      additionalProperties: true
      type: object
      title: IdentityCorroborationEventInput
    AddressIdentityInput:
      properties:
        line_1:
          anyOf:
            - type: string
            - type: 'null'
          title: Line 1
        line_2:
          anyOf:
            - type: string
            - type: 'null'
          title: Line 2
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        zip:
          anyOf:
            - type: string
            - type: 'null'
          title: Zip
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        address_capture_events:
          anyOf:
            - items:
                $ref: '#/components/schemas/AddressCaptureEventInput'
              type: array
            - type: 'null'
          title: Address Capture Events
      additionalProperties: true
      type: object
      title: AddressIdentityInput
    AddressCaptureEventInput:
      properties:
        is_address_captured:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Address Captured
        address_capture_timestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Capture Timestamp
        is_address_verified:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Address Verified
        address_verification_timestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Verification Timestamp
        address_verification_outcome:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Verification Outcome
        address_verification_method_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Verification Method Type
        deliverable:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Deliverable
      additionalProperties: true
      type: object
      title: AddressCaptureEventInput
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.